## python-wslink 2.4.0

=== python/requirements.txt ===
aiohttp>=3.7.4,<4
msgpack>=1,<2

# platform specific
pypiwin32==223; sys_platform == 'win32'

=== tests/chat-rpc-pub-sub/clients/cpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.9)

project(wsSimpleClient)

# for json support
# see https://github.com/nlohmann/json
find_package(nlohmann_json REQUIRED)

# we also use beast which is part of boost
set(Boost_USE_STATIC_LIBS        ON)
find_package(Boost 1.65 REQUIRED) #COMPONENTS thread)
include_directories(${Boost_INCLUDE_DIRS})

# Request C++11 standard, using new CMake variables.
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_CXX_EXTENSIONS False)

add_executable(cli_test cli_test.cc)
target_link_libraries(cli_test PRIVATE nlohmann_json::nlohmann_json)

=== debian/changelog ===
python-wslink (2.4.0-1) unstable; urgency=medium

  * Initial packaging.

 -- Roland Mas <lolando@debian.org>  Wed, 22 Oct 2025 12:38:29 +0200

=== debian/control ===
Source: python-wslink
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-pillow <!nocheck>,
 python3-pixelmatch <!nocheck>,
 python3-setuptools <!nocheck>,
 python3-msgpack <!nocheck>,
 python3-tornado <!nocheck>,
 python3-ipython <!nocheck>,
 python3-aiohttp <!nocheck>,
Standards-Version: 3.9.6
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/kitware/wslink
Vcs-Git: https://salsa.debian.org/python-team/packages/python-wslink.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wslink

Package: python3-wslink
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python/JavaScript library for communicating over WebSocket
 Wslink allows easy, bi-directional communication between a python
 server and a javascript or C++ client over a websocket. The client
 can make remote procedure calls (RPC) to the server, and the server
 can publish messages to topics that the client can subscribe to. The
 server can include binary attachments in these messages, which are
 communicated as a binary websocket message, avoiding the overhead of
 encoding and decoding.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_DIR=python

%:
	dh $@ --buildsystem=pybuild

# override_dh_auto_test: # There's no testsuite to run

=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto,uversionmangle=s/rc/~rc/" \
https://github.com/kitware/wslink refs/tags/v?(\d\S+)

## python-wslink 2.5.0

=== debian/changelog ===
python-wslink (2.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-depend on python3-setuptools (closes: #1122311).

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 17:08:36 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-hatchling,
  python3-pillow <!nocheck>,
  python3-pixelmatch <!nocheck>,
- python3-setuptools <!nocheck>,
+ python3-setuptools,
  python3-msgpack <!nocheck>,
  python3-tornado <!nocheck>,
  python3-ipython <!nocheck>,
